Oracle WebCenter Portal Multiple Vulnerabilities (Apr 2022 CPU)

high Nessus Plugin ID 159954

Synopsis

An application server installed on the remote host is affected by multiple vulnerabilities

Description

The version of Oracle WebCenter Portal installed on the remote host is missing a security patch from the April 2022 Critical Patch Update (CPU). It is, therefore, affected by multiple vulnerabilities:

- An XML external entity vulnerability in the bundled jackson-databind component which allows an unauthenticated attacker with network access via HTTP to access, create or delete all data accessible to Oracle WebCenter Portal. (CVE-2020-25649)

- Denial of service vulnerabilities in the bundled Apache Tika, jsoup, Netty and Apache Commons Compress components which allow an unauthenticated attacker with network access via HTTP to cause a hang or frequently repeatable crash of the Oracle WebCenter Portal. (CVE-2020-28657, CVE-2021-36090, CVE-2021-37137, CVE-2021-37714)

- A path traversal vulnerability in the bundled Apache Commons IO component which allows an unauthenticated attacker with network access via HTTP to read, update or delete a subset of data accessible to Oracle WebCenter Portal.
(CVE-2021-29425)

- A Denial of service vulnerability in the bundled Apache PDFBox component which allows an unauthenticated attacker with logon to the infrastructure where Oracle WebCenter Portal executes, with human interaction from another user to cause a hang or frequently repeatable crash of the Oracle WebCenter Portal. (CVE-2021-31912)

- A cross-site scripting vulnerability in the bundled CKEditor component which allows a low privileged attacker with network access via HTTP, with human interaction from another user, to read, update or delete a subset of data accessible to Oracle WebCenter Portal. (CVE-2021-41165)

- A remote code execution vulnerability in the bundled Apache Log4J component which allows a high privileged attacker with network access via HTTP to execute arbitrary code on the Oracle WebCenter Portal. (CVE-2021-44832)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Apply the appropriate patch according to the April 2022 Oracle Critical Patch Update advisory.

See Also

https://www.oracle.com/docs/tech/security-alerts/cpuapr2022cvrf.xml

https://www.oracle.com/security-alerts/cpuapr2022.html

Plugin Details

Severity: High

ID: 159954

File Name: oracle_webcenter_portal_cpu_apr_2022.nasl

Version: 1.6

Type: local

Agent: windows, macosx, unix

Family: Misc.

Published: 4/20/2022

Updated: 7/4/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: High

Base Score: 8.5

Temporal Score: 7.4

Vector: AV:N/AC:M/Au:S/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2021-44832

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: E:H/RL:O/RC:C

CVSS Score Source: CVE-2020-25649

Vulnerability Information

CPE: cpe:/a:oracle:fusion_middleware, cpe:/a:oracle:webcenter_portal

Required KB Items: installed_sw/Oracle WebCenter Portal

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 4/19/2022

Vulnerability Publication Date: 4/19/2022

Reference Information

CVE: CVE-2020-25649, CVE-2021-28657, CVE-2021-29425, CVE-2021-31812, CVE-2021-36090, CVE-2021-37137, CVE-2021-37714, CVE-2021-41165, CVE-2021-44832

IAVA: 2022-A-0171